Notification Channels - Get
Ottenere il canale di notifica.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels/{name}?api-version=2018-09-15
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels/{name}?api-version=2018-09-15&$expand={$expand}
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
lab
|
path | True |
string |
Nome del lab. |
|
name
|
path | True |
string |
Il nome del canale di notifica. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Nome del gruppo di risorse. Il nome è insensibile alle maiuscole e minuscole. |
|
subscription
|
path | True |
string minLength: 1 |
ID della sottoscrizione di destinazione. |
|
api-version
|
query | True |
string minLength: 1 |
Versione dell'API da usare per questa operazione. |
|
$expand
|
query |
string |
Specificare la query $expand. Esempio: 'properties($select=webHookUrl)' |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Operazione di Azure completata correttamente. |
|
| Other Status Codes |
Risposta di errore imprevista. |
Sicurezza
azure_auth
Flusso OAuth2 di Azure Active Directory.
Tipo:
oauth2
Flow:
implicit
URL di autorizzazione:
https://login.microsoftonline.com/common/oauth2/authorize
Ambiti
| Nome | Descrizione |
|---|---|
| user_impersonation | rappresentare l'account utente |
Esempio
NotificationChannels_Get
Esempio di richiesta
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels/{notificationChannelName}?api-version=2018-09-15
Risposta di esempio
{
"name": "{notificationChannelName}",
"type": "Microsoft.DevTestLab/labs/notificationChannels",
"id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationChannels/{notificationChannelName}",
"location": "{location}",
"properties": {
"description": "Integration configured for auto-shutdown",
"createdDate": "2021-01-05T02:14:05.2392034+00:00",
"emailRecipient": "{email}",
"events": [
{
"eventName": "AutoShutdown"
}
],
"notificationLocale": "en",
"provisioningState": "Succeeded",
"uniqueIdentifier": "{uniqueIdentifier}",
"webHookUrl": "{webhookUrl}"
},
"tags": {
"tagName1": "tagValue1"
}
}
Definizioni
| Nome | Descrizione |
|---|---|
|
created |
Tipo di identità che ha creato la risorsa. |
|
Error |
Informazioni aggiuntive sull'errore di gestione delle risorse. |
|
Error |
Dettagli dell'errore. |
|
Error |
Risposta di errore |
| Event |
Evento per cui ricevere una notifica. |
|
Notification |
Una notifica. |
|
Notification |
Tipo di evento per il quale questa notifica è abilitata (ad esempio AutoShutdown, Cost) |
|
system |
Metadati relativi alla creazione e all'ultima modifica della risorsa. |
createdByType
Tipo di identità che ha creato la risorsa.
| Valore | Descrizione |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Informazioni aggiuntive sull'errore di gestione delle risorse.
| Nome | Tipo | Descrizione |
|---|---|---|
| info |
object |
Informazioni aggiuntive. |
| type |
string |
Tipo di informazioni aggiuntive. |
ErrorDetail
Dettagli dell'errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| additionalInfo |
Informazioni aggiuntive sull'errore. |
|
| code |
string |
Codice di errore. |
| details |
Dettagli dell'errore. |
|
| message |
string |
Messaggio di errore. |
| target |
string |
Destinazione dell'errore. |
ErrorResponse
Risposta di errore
| Nome | Tipo | Descrizione |
|---|---|---|
| error |
Oggetto error. |
Event
Evento per cui ricevere una notifica.
| Nome | Tipo | Descrizione |
|---|---|---|
| eventName |
Tipo di evento per il quale questa notifica è abilitata (ad esempio AutoShutdown, Cost) |
NotificationChannel
Una notifica.
| Nome | Tipo | Descrizione |
|---|---|---|
| id |
string |
ID risorsa completo per la risorsa. Ad esempio: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
Posizione geografica in cui risiede la risorsa |
| name |
string |
Nome della risorsa |
| properties.createdDate |
string (date-time) |
Data di creazione del canale di notifica. |
| properties.description |
string |
Descrizione della notifica. |
| properties.emailRecipient |
string |
Destinatario del messaggio di posta elettronica a cui inviare notifiche (può essere un elenco di indirizzi di posta elettronica separati da punti e virgola). |
| properties.events |
Event[] |
Elenco di eventi per cui questa notifica è abilitata. |
| properties.notificationLocale |
string |
Impostazioni locali da usare quando si invia una notifica (il fallback per le lingue non supportate è EN). |
| properties.provisioningState |
string |
Stato del provisioning della risorsa. |
| properties.uniqueIdentifier |
string |
Identificatore univoco non modificabile di una risorsa (GUID). |
| properties.webHookUrl |
string |
URL del webhook a cui inviare notifiche. |
| systemData |
Metadati di Azure Resource Manager contenenti le informazioni createdBy e modifiedBy. |
|
| tags |
object |
Tag di risorsa. |
| type |
string |
Tipo della risorsa. Ad esempio, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts" |
NotificationChannelEventType
Tipo di evento per il quale questa notifica è abilitata (ad esempio AutoShutdown, Cost)
| Valore | Descrizione |
|---|---|
| AutoShutdown | |
| Cost |
systemData
Metadati relativi alla creazione e all'ultima modifica della risorsa.
| Nome | Tipo | Descrizione |
|---|---|---|
| createdAt |
string (date-time) |
Timestamp della creazione della risorsa (UTC). |
| createdBy |
string |
Identità che ha creato la risorsa. |
| createdByType |
Tipo di identità che ha creato la risorsa. |
|
| lastModifiedAt |
string (date-time) |
Il timestamp dell'ultima modifica della risorsa (UTC) |
| lastModifiedBy |
string |
Identità che ha modificato l'ultima volta la risorsa. |
| lastModifiedByType |
Tipo di identità che ha modificato l'ultima volta la risorsa. |